-- ################################################################# SUIVI CODE SQL #################################################################

-- 2021/06/30 : DC / Création de la table sur Git

-- ##################################################################################################################################################
-- ###                                                                                                                                            ###
-- ###                             Table non géographique : Domaine de valeur des types de panneau directionnel                                   ###
-- ###                                                                                                                                            ###
-- ##################################################################################################################################################

CREATE TABLE atd16_signalisation.lst_type_directionnel
(
 	gid serial NOT NULL, --[PK][ATD16] Identifiant unique généré automatiquement 
	code integer, --[ATD16]Code du panneau directionnel
	type character varying (100), --[Norme Nationale] Type de panneaux directionnel
	code_pann character varying (10), --[Norme Nationale] Code du panneau directionnel
	libelle character varying(500), --[Norme Nationale] Nom du panneau directionnel
  	"order" integer,  --[ATD16] ordre des valeurs
	CONSTRAINT pk_lst_typ_directionnel PRIMARY KEY (gid)
 )
WITH (
OIDS=FALSE
);
ALTER TABLE atd16_signalisation.lst_type_directionnel
  OWNER TO sditecgrp;
GRANT ALL ON TABLE atd16_signalisation.lst_type_directionnel TO sditecgrp;

-- ############################################################ Ajout des enregistrements ###########################################################

INSERT INTO atd16_signalisation.lst_type_directionnel (code, type, code_pann,libelle,"order")
VALUES
('00', '','','','1'),
('01','Panneaux de direction','D21A','Panneau avec indication de distance','2'),
('02','Panneaux de direction','D21A_1','Panneau avec indication de distance','3'),
('03','Panneaux de direction','D21A_2','Panneau avec indication de distance','4'),
('04','Panneaux de direction','D21B','Panneau sans indication de distance','5'),
('05','Panneaux de direction','D29','Panneau  signalant les lieux-dits','6'),
('06','Panneaux de direction','D31B','Panneau avancé de sortie non numérotée','7'),
('07','Panneaux de direction','D31D','Panneau avancé de sortie numérotée','8'),
('08','Panneaux de direction','D31E','Panneau avancé de sortie non numérotée','9'),
('09','Panneaux de direction','D32A','Panneau avancé d''aire sur route','10'),
('10','Panneaux de direction','D41A','Panneau de sortie numéroté','11'),
('11','Panneaux de direction','D41B','Panneau de sortie non numéroté','12'),
('12','Panneaux de direction','D42A','Panneau des carrefours complexes','13'),
('13','Panneaux de direction','D42B','Panneau à sens giratoires','14'),
('14','Panneaux de direction','D42B_1','Panneau à sens giratoires','15'),
('15','Panneaux de direction','D42B_2','Panneau à sens giratoires','16'),
('16','Panneaux de direction','D43','Panneau des carrefours','17'),
('17','Panneaux de direction','D51C','Panneau d’avertissement de sortie simple','18'),
('18','Panneaux de direction','D51CR','Panneau d’avertissement de sortie simple donnant également accès à une aire de service ou de repos','19'),
('19','Panneaux de direction','D51D','Panneau d’avertissement de sorties rapprochées','20'),
('20','Panneaux de direction','D51DR','Panneau d’avertissement de sorties rapprochées','21'),
('21','Panneaux de direction','D61A','Panneau de confirmation courante','22'),
('22','Panneaux de direction','D62A','Panneau de confirmation de filante u','23'),
('23','Panneaux de direction','D63C','Panneau de confirmation de la prochaine sortie','24'),
('24','Panneaux de direction','D69A','Panneau de fin d''itinéraire " S "','25'),
('25','Panneaux de direction','D69B','Panneau de fin d''itinéraire " Bis','26'),
('26','Panneaux de direction','D71','Panneau  complémentaire de sortie','27'),
('27','Panneaux de direction','D72B','Panneau complémentaire des différentes sorties','28'),
('28','Panneaux de direction','D73','Panneau de présignalisation complémentaire de sortie','29'),
('29','Panneaux de direction','D79A','Panneau complémentaire d''itinéraire " S "','30'),
('30','Panneaux de direction','D79B','Panneau complémentaire d''itinéraire " Bis','31'),
('31','Panneaux de direction','DA31A','Panneau  avancé d''affectation de voies de sortie numérotée','32'),
('32','Panneaux de direction','DA31B','Panneau  avancé d''affectation de voies de sortie non numérotée','33'),
('33','Panneaux de direction','DA31D','Panneau  avancé d''affectation de voies de sortie numérotée','34'),
('34','Panneaux de direction','DA31E','Panneau  avancé d''affectation de voies de sortie non numérotée','35'),
('35','Panneaux de direction','DA32A','Panneau avancé d''affectation de voie d''aire sur route','36'),
('36','Panneaux de direction','DA41A','Panneau de présignalisation de sortie numérotée','37'),
('37','Panneaux de direction','DA41B','Panneau de présignalisation de sortie non numérotée','38'),
('38','Panneaux de direction','DA41D','Panneau de présignalisation d''affectation de voies de sortie numérotée','39'),
('39','Panneaux de direction','DA41E','Panneau de présignalisation d''affectation de voies de sortie non numérotée','40'),
('40','Panneaux de direction','DA51B','Panneau d’avertissement de sortie avec affectation de voies','41'),
('41','Panneaux de direction','DA51BR','Panneau d’avertissement de sortie donnant également accès à une aire de service ou de repos','42'),
('42','Panneaux de localisation','E31','Localisation de tous les lieux traversés','43'),
('43','Panneaux de localisation','E32','Localisation d''un cours d''eau','44'),
('44','Panneaux de localisation','E33A','Localisation d''un parc national, d''un parc naturel régional, d''une réserve naturelle ou d''un terrain du Conservatoire','45'),
('45','Panneaux de localisation','E33B','Appartenance d''une commune à un parc national, à un parc naturel régional…','46'),
('46','Panneaux de localisation','E34A','Localisation d''une aire routière','47'),
('47','Panneaux de localisation','E34B','Fin de localisation d''une aire routière','48'),
('48','Panneaux de localisation','E36','Localisation d''une région administrative ou d''un département','49'),
('49','Panneaux de localisation','E43','Réseaux départementaux','50'),
('50','Panneaux de localisation','EB10','Panneau d''entrée d''agglomération','51'),
('51','Panneaux de localisation','EB20','Panneau de sortie d''agglomération','52'),
('52','Ideogrammes,emblemes','ID10','Auberge de jeunesse','53'),
('53','Ideogrammes,emblemes','ID11','Emplacement pour pique-nique','54'),
('54','Ideogrammes,emblemes','ID12a','Gare de train','55'),
('55','Ideogrammes,emblemes','ID12b','Gare de trains autos','56'),
('56','Ideogrammes,emblemes','ID14A','Poste de distribution de carburant','57'),
('57','Ideogrammes,emblemes','ID14B','Poste de distribution de carburant, assurant également le ravitaillement en gaz','58'),
('58','Ideogrammes,emblemes','ID14c','Garage ou poste de dépannage','59'),
('59','Ideogrammes,emblemes','ID15A','Parc naturel régional','60'),
('60','Ideogrammes,emblemes','ID15B','Parc national','61'),
('61','Ideogrammes,emblemes','ID15C','Réserve naturelle','62'),
('62','Ideogrammes,emblemes','ID15D','Terrain du conservatoire du littoral et des rivages lacustres','63'),
('63','Ideogrammes,emblemes','ID15e','Point d''accueil du public dans un espace naturel sensible','64'),
('64','Ideogrammes,emblemes','ID16A','Monument historique','65'),
('65','Ideogrammes,emblemes','ID16B','Site classé','66'),
('66','Ideogrammes,emblemes','ID16d','Musée','67'),
('67','Ideogrammes,emblemes','ID16e','Parc ou jardin','68'),
('68','Ideogrammes,emblemes','ID17','Point d''accueil jeunes','69'),
('69','Ideogrammes,emblemes','ID18','Chambre d''hôtes ou gîte','70'),
('70','Ideogrammes,emblemes','ID19','Point de vue','71'),
('71','Ideogrammes,emblemes','ID1A','Parc de stationnement','72'),
('72','Ideogrammes,emblemes','ID1B','Parc relais','73'),
('73','Ideogrammes,emblemes','ID2','Aéroport','74'),
('74','Ideogrammes,emblemes','ID20a','Base de loisirs','75'),
('75','Ideogrammes,emblemes','ID20b','Centre équestre','76'),
('76','Ideogrammes,emblemes','ID20c','Piscine','77'),
('77','Ideogrammes,emblemes','ID20d','Plage','78'),
('78','Ideogrammes,emblemes','ID20e','Point de mise à l''eau d''embarcations légères','79'),
('79','Ideogrammes,emblemes','ID22','Cimetière militaire','80'),
('80','Ideogrammes,emblemes','ID23','Point de départ d''un itinéraire d''excursions à pied','81'),
('81','Ideogrammes,emblemes','ID24','Déchèterie','82'),
('82','Ideogrammes,emblemes','ID25','Hôtel','83'),
('83','Ideogrammes,emblemes','ID26A','Restaurant','84'),
('84','Ideogrammes,emblemes','ID26B','Débit de boissons','85'),
('85','Ideogrammes,emblemes','ID27','Maison de pays','86'),
('86','Ideogrammes,emblemes','ID28','Village étape','87'),
('87','Ideogrammes,emblemes','ID29','Point d’eau potable','88'),
('88','Ideogrammes,emblemes','ID3','ID3 Hôpital ou clinique assurant les urgences','89'),
('89','Ideogrammes,emblemes','ID30','Autocaravane','90'),
('90','Ideogrammes,emblemes','ID31','Toilettes','91'),
('91','Ideogrammes,emblemes','ID32','Distributeur automatique de billets de banque','92'),
('92','Ideogrammes,emblemes','ID33a','Produits du terroir','93'),
('93','Ideogrammes,emblemes','ID33b','Produits vinicoles','94'),
('94','Ideogrammes,emblemes','ID4','Hôpital ou clinique n''assurant pas les urgences','95'),
('95','Ideogrammes,emblemes','ID5A','Poste d''appel d''urgence','96'),
('96','Ideogrammes,emblemes','ID5B','Poste d''appel téléphonique','97'),
('97','Ideogrammes,emblemes','ID6','Relais d''information service','98'),
('98','Ideogrammes,emblemes','ID7','Installation accessible aux personnes handicapées','99'),
('99','Ideogrammes,emblemes','ID8','Terrain de camping pour tentes','100'),
('100','Ideogrammes,emblemes','ID9','Terrain de camping pour caravanes','101'),
('101','Panneau de signalisation temporaire ','KD21','Direction de déviation','102'),
('102','Panneau de signalisation temporaire ','KD21_1','Direction de déviation','103'),
('103','Panneau de signalisation temporaire ','KD22','Direction de déviation','104'),
('104','Panneau de signalisation temporaire ','KD22_1','Direction de déviation','105'),
('105','Panneau de signalisation temporaire ','KD22_2','Direction de déviation','106'),
('106','Symbole d’identification des echanges','SE2B','Permettant d’identifier ou de localiser un échangeur droite','107'),
('107','Symbole d’identification des echanges','SE2C','Permettant d’identifier ou de localiser un échangeur gauche','108'),
('108','Symboles categoriels de signalisation avancée d’une direction interdite','SI10','Interdite aux véhicules transportant des marchandises explosives','109'),
('109','Symboles categoriels de signalisation avancée d’une direction interdite','SI11','Interdite aux véhicules transportant des marchandises de nature à polluer les eaux','110'),
('110','Symboles categoriels de signalisation avancée d’une direction interdite','SI12','Interdite aux véhicules transportant des marchandises dangereuses','111'),
('111','Symboles categoriels de signalisation avancée d’une direction interdite','SI13','Interdite aux motocyclettes','112'),
('112','Symboles categoriels de signalisation avancée d’une direction interdite','SI14','Interdite aux véhicules tractant une caravane','113'),
('113','Symboles categoriels de signalisation avancée d’une direction interdite','SI1A','Interdite aux véhicules affectés au transport de marchandises','114'),
('114','Symboles categoriels de signalisation avancée d’une direction interdite','SI1B','Interdite aux véhicules de transport de marchandises dont le poids total autorisé en charge excède le nombre indiqué','115'),
('115','Symboles categoriels de signalisation avancée d’une direction interdite','SI2','Interdite aux cycles','116'),
('116','Symboles categoriels de signalisation avancée d’une direction interdite','SI3','Interdite aux véhicules de transport en commun','117'),
('117','Symboles categoriels de signalisation avancée d’une direction interdite','SI4','Interdite aux cyclomoteurs','118'),
('118','Symboles categoriels de signalisation avancée d’une direction interdite','SI5','Interdite aux véhicules affectés au transport de marchandises dont la longueur est supérieure au nombre indiqué','119'),
('119','Symboles categoriels de signalisation avancée d’une direction interdite','SI6','interdite aux véhicules dont la largeur est supérieure au nombre indiqué','120'),
('120','Symboles categoriels de signalisation avancée d’une direction interdite','SI7','interdite aux véhicules dont la hauteur est supérieure au nombre indiqué','121'),
('121','Symboles categoriels de signalisation avancée d’une direction interdite','SI8','interdite aux véhicules dont le poids total autorisé en charge ou le poids total roulant  excède le nombre indiqué','122'),
('122','Symboles categoriels de signalisation avancée d’une direction interdite','SI9','Interdite aux véhicules pesant sur un essieu plus que le nombre indiqué','123'),
('123','Symbole d’indication d’itineraire','SU1','Permettant d’identifier un itinéraire « S »','124'),
('124','Panneaux de jalonnement pietonnier','Dp1a','Jalonnement piétonnier d''un poste d''appel d''urgence vers la droite','125'),
('125','Panneaux de jalonnement pietonnier','Dp1b','Jalonnement piétonnier d''un poste d''appel d''urgence vers la gauche','126'),
('126','Panneaux de jalonnement pietonnier','Dp2a','Jalonnement piétonnier d''une issue de secours vers la droite','127'),
('127','Panneaux de jalonnement pietonnier','Dp2b','Jalonnement piétonnier d''une issue de secours vers la gauche','128'),
('128','Panneaux de jalonnement des aménagements cyclables','Dv11','Pc Identification d''un itinéraire cyclable','129'),
('129','Panneaux de jalonnement des aménagements cyclables','Dv12','Pc Dénomination d’un itinéraire cyclable','130'),
('130','Panneaux de jalonnement des aménagements cyclables','Dv21a','Pc  Indication de destination et une indication de distance','131'),
('131','Panneaux de jalonnement des aménagements cyclables','Dv21b','Pc Indication de destination','132'),
('132','Panneaux de jalonnement des aménagements cyclables','Dv21c','Pc Panneau directionnel de position','133'),
('133','Panneaux de jalonnement des aménagements cyclables','Dv42a','Pc  Carrefours complexes','134'),
('134','Panneaux de jalonnement des aménagements cyclables','Dv42b','Pc Carrefours à sens giratoire.','135'),
('135','Panneaux de jalonnement des aménagements cyclables','Dv43a','Pc Carrefours comportant une indication de destination','136'),
('136','Panneaux de jalonnement des aménagements cyclables','Dv43c','Pc Carrefours ne comportant ni une indication de destination','137'),
('137','Panneaux de jalonnement des aménagements cyclables','Dv43d','Pc Carrefours ne comportant ni une indication de destination','138'),
('138','Panneaux de jalonnement des aménagements cyclables','Dv44','Pc Encart de présignalisation d’un itinéraire cyclable','139'),
('139','Panneaux de jalonnement des aménagements cyclables','Dv61','Pc Panneau de confirmation courante','140');